Package com.fasterxml.jackson.datatype.joda.deser

## Class JodaDateDeserializerBase<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.datatype.joda.deser.JodaDateDeserializerBase<T>

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.deser.ContextualDeserializer`, `Serializable`

Direct Known Subclasses:
  `DateMidnightDeserializer`, `DateTimeDeserializer`, `IntervalDeserializer`, `LocalDateDeserializer`, `LocalDateTimeDeserializer`, `LocalTimeDeserializer`

    public abstract class JodaDateDeserializerBase<T>
    extends com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
    implements com.fasterxml.jackson.databind.deser.ContextualDeserializer

Intermediate base class used by deserializers that allow configuration via `JsonFormat` annotation

Since:
  2.6
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`com.fasterxml.jackson.databind.JsonDeserializer.None`

### Field Summary

Fields
`protected JacksonJodaDateFormat` `_format`

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass, F_MASK_ACCEPT_ARRAYS, F_MASK_INT_COERCIONS`

### Constructor Summary

Constructors
`protected` `JodaDateDeserializerBase​(Class<?> type, JacksonJodaDateFormat format)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`T` `_handleNotNumberOrString​(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
`com.fasterxml.jackson.databind.JsonDeserializer<?>` `createContextual​(com.fasterxml.jackson.databind.DeserializationContext ctxt, com.fasterxml.jackson.databind.BeanProperty prop)`
`Object` `deserializeWithType​(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt, com.fasterxml.jackson.databind.jsontype.TypeDeserializer typeDeserializer)`
`abstract JodaDateDeserializerBase<?>` `withFormat​(JacksonJodaDateFormat format)`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserialize, findBackReference, getDelegatee, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullValue, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_byteOverflow, _coercedTypeDesc, _coerceEmptyString, _coerceIntegral, _coerceNullToken, _coerceTextualNull, _deserializeFromArray, _deserializeFromEmpty, _deserializeWrappedValue, _failDoubleToIntCoercion, _findNullProvider, _hasTextualNull, _intOverflow, _isEmptyOrTextualNull, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _neitherNull, _nonNullNumber, _parseBooleanFromInt, _parseBooleanPrimitive, _parseBytePrimitive, _parseDate, _parseDate, _parseDateFromArray, _parseDoublePrimitive, _parseDoublePrimitive, _parseFloatPrimitive, _parseFloatPrimitive, _parseIntPrimitive, _parseIntPrimitive, _parseLongPrimitive, _parseLongPrimitive, _parseShortPrimitive, _parseString, _reportFailedNullCoerce, _shortOverflow, _verifyEndArrayForSingle, _verifyNullForPrimitive, _verifyNullForPrimitiveCoercion, _verifyNullForScalarCoercion, _verifyNumberForScalarCoercion, _verifyStringForScalarCoercion, findContentNullProvider, findContentNullStyle, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, findValueNullProvider, getValueClass, getValueType, handledType, handleMissingEndArrayForSingle, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

`deserialize, getEmptyAccessPattern, getNullAccessPattern, supportsUpdate`

### Field Detail

#### _format

    protected final JacksonJodaDateFormat _format

### Constructor Detail

#### JodaDateDeserializerBase

    protected JodaDateDeserializerBase​(Class<?> type,
                                       JacksonJodaDateFormat format)

### Method Detail

#### withFormat

    public abstract JodaDateDeserializerBase<?> withFormat​(JacksonJodaDateFormat format)

#### createContextual

    public com.fasterxml.jackson.databind.JsonDeserializer<?> createContextual​(com.fasterxml.jackson.databind.DeserializationContext ctxt,
                                                                               com.fasterxml.jackson.databind.BeanProperty prop)
                                                                        throws com.fasterxml.jackson.databind.JsonMappingException

Specified by:
  `createContextual` in interface `com.fasterxml.jackson.databind.deser.ContextualDeserializer`
Throws:
  `com.fasterxml.jackson.databind.JsonMappingException`

#### deserializeWithType

    public Object deserializeWithType​(com.fasterxml.jackson.core.JsonParser p,
                                      com.fasterxml.jackson.databind.DeserializationContext ctxt,
                                      com.fasterxml.jackson.databind.jsontype.TypeDeserializer typeDeserializer)
                               throws IOException

Overrides:
  `deserializeWithType` in class `com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>`
Throws:
  `IOException`

#### _handleNotNumberOrString

    public T _handleNotNumberOrString​(com.fasterxml.jackson.core.JsonParser p,
                                      com.fasterxml.jackson.databind.DeserializationContext ctxt)
                               throws IOException

Throws:
  `IOException`